%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_libdir: %global lua_libdir %{_libdir}/lua/%{lua_version}}

Summary:        Cyrus SASL library for Lua
Name:           lua-cyrussasl
Version:        1.1.0
Release:    1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/JorjBauer/lua-cyrussasl
Source0:        https://github.com/JorjBauer/lua-cyrussasl/archive/v%{version}/%{name}-%{version}.tar.gz
Requires:       lua(abi) = %{lua_version}
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lua >= %{lua_version}
BuildRequires:  lua-devel >= %{lua_version}
BuildRequires:  cyrus-sasl-devel

%description
Lua bindings for the Cyrus SASL APIs.

%prep
%setup -q

%build
%make_build CFLAGS="$RPM_OPT_FLAGS -fPIC" LDFLAGS="-shared -fPIC -lsasl2 $RPM_LD_FLAGS" 

%install
install -D -p -m 755 cyrussasl.so %{buildroot}%{lua_libdir}/cyrussasl.so

%check
lua -e \
  'package.cpath="%{buildroot}%{lua_libdir}/?.so;"..package.cpath;
   local cyrussasl = require("cyrussasl");
   print("Hello from "..cyrussasl.get_version().."!");'

%files
%license LICENSE
%doc README
%{lua_libdir}/cyrussasl.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
